import { OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { StiComboBoxColumnItem } from "../../../elements/table/columns/StiComboBoxColumnItem";
export declare class StiTableComboboxComponent implements OnInit {
    private model;
    item: StiComboBoxColumnItem;
    index: number;
    object: any;
    disabled: boolean;
    isClone: boolean;
    get cell(): import("../../../elements/table/cells/StiComboBoxCellItem").StiComboBoxCellItem;
    get selectedIndex(): string;
    set selectedIndex(value: string);
    constructor(model: StiModelService);
    get tabIndex(): any;
    ngOnInit(): void;
}
